QGIS master crash while printing large format (A1, A0) from map composer

2013-05-09 01:39 PM - Gerhard Spieles

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: win Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16683

Description

Printing large format(A1, A0) from mapcomposer wich content aerospatial fotos, Qgis-msater(5f06eec) crash and reports a minidump (37

MB) in

C:\\Users\\Spieles\\AppData\\Local\\Temp\\qgis-20130509-221531-3948-2504-5f06eec.dmp

History

#1 - 2013-05-10 01:39 AM - Giovanni Manghi

- Status changed from Open to Feedback

related/duplicate of #4821?

#2 - 2013-05-12 12:42 PM - Gerhard Spieles

Seems it is the same item.

In the first developing steps of print composer, I had reported this bug.

I believe, that the developers devided the large format into smaller pieces to avoid the crash problem.

#3 - 2013-07-12 03:02 PM - Giovanni Manghi

- Status changed from Feedback to Open

- File print_tests.tar.gz added

I can confirm the issue on the latest master on Windows 7 (4gb of ram in a VM):

The attached project is made of a hand full of Spatialite vectors, no fancy symbology, no labels.

Printing as vector works up to A0 and 600dpi.

Printing as raster causes QGIS to crash printing in A0 at 300 dpi (works at 250) and printing in A1 at 450 dpi (works at 300).

#4 - 2013-08-26 05:48 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed
This issue seems really fixed in the new QGIS 64bit

http://trac.osgeo.org/osgeo4w/

please test and reopen if necessary.

#5 - 2013-08-26 01:50 PM - Gerhard Spieles

Tested print with qgis-dev 1.9.0.3, 64 bit OSGeo4W from Jürgen Fischer

Print Raster A1 at 600dpi is ok.

Confirm solution in 64bit version.

Gerhard

Files

print_tests.tar.gz 403 KB 2013-07-12 Giovanni Manghi
